## org.eclipse.emf.ecore.util
Interface BasicExtendedMetaData.EPackageExtendedMetaData

All Known Implementing Classes:
  BasicExtendedMetaData.EPackageExtendedMetaDataImpl

Enclosing class:
  BasicExtendedMetaData

    public static interface BasicExtendedMetaData.EPackageExtendedMetaData

Nested Class Summary
`static interface` `BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

Method Summary
`EClassifier` `getType(java.lang.String name)`
`boolean` `isQualified()`
`void` `rename(EClassifier eClassifier, java.lang.String newName)`
`void` `setQualified(boolean isQualified)`

Method Detail

### isQualified

    boolean isQualified()

### setQualified

    void setQualified(boolean isQualified)

### getType

    EClassifier getType(java.lang.String name)

### rename

    void rename(EClassifier eClassifier,
                java.lang.String newName)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.